From 62ed18b4d99e690298cc1984b6f2df2363d165fe Mon Sep 17 00:00:00 2001
From: Lars Wendler <polynomial-c@gentoo.org>
Date: Fri, 18 May 2018 07:55:38 +0200
Subject: [PATCH] Use pkg-config to find freetype

As of freetype-2.9.1 the freetype-config file no longer gets installed
by default.
---
 configure.ac | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

diff --git a/configure.ac b/configure.ac
index 12a081612b..1b75e23670 100644
--- a/configure.ac
+++ b/configure.ac
@@ -252,12 +252,9 @@ AC_CHECK_FUNCS([mallinfo], [
 			 [#include <malloc.h>])
 ])
 
-AC_PATH_PROG(FREETYPE_CONFIG, freetype-config, no)
-if test "x$FREETYPE_CONFIG" = "xno"; then
-	AC_MSG_ERROR([Cannot find freetype-config])
-fi
-FREETYPE_CFLAGS=`$FREETYPE_CONFIG --cflags`
-FREETYPE_LIBS=`$FREETYPE_CONFIG --libs`
+PKG_CHECK_MODULES(FREETYPE, freetype2,,
+	AC_MSG_ERROR([Cannot find freetype])
+)
 AC_SUBST(FREETYPE_CFLAGS)
 AC_SUBST(FREETYPE_LIBS)
 
-- 
2.17.0

